class Chef
  class Resource::FirewallInterface < Chef::Resource::LWRPBase
    resource_name  :firewall_interface
    provides       :firewall_interface
    actions        :create
    default_action :create

    attribute :common_name, kind_of: String, required: true, name_attribute: true
    attribute :interface,   kind_of: String, required: true
    attribute :options,     kind_of: String, required: true, default: ""
    attribute :protocol,    kind_of: String, required: true, default: "ipv4"
    attribute :policy,      kind_of: String
  end
end
