#
# Cookbook Name:: firehol
# Recipe:: _unit
#
# All rights reserved - Do Not Redistribute
#

firewall "firehol" do
  version 6
end

firewall_interface "world" do
  interface "any"
  protocol "any"
end

firewall_rule "accept ssh connections" do
  command   "accept"
  interface "world"
  service   "ssh"
  type      "server"
end

firewall_service "mosh" do
  server_ports "udp/60000:61000"
end

firewall_router "home2internet" do
  inface     "eth0"
  outface    "eth1"
  masquerade true
end
