class Chef
  class Resource::FirewallRule < Chef::Resource::LWRPBase
    resource_name  :firewall_rule
    provides       :firewall_rule
    actions        :create
    default_action :create

    attribute :command, kind_of: String, required: true, default: "accept"
    attribute :description, kind_of: String, required: true, name_attribute: true
    attribute :interface, kind_of: String, required: true
    attribute :service, kind_of: String, required: true
    attribute :type, kind_of: String, required: true
  end
end
